﻿using System.Globalization;

using CsvHelper;
using CsvHelper.Configuration;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        List<Student> sourceList = new List<Student>
        {
            new Student { ID = "ID004", Name = "김동수", Score = 80 }
        };

        CsvConfiguration csvConfiguration = new CsvConfiguration(CultureInfo.InvariantCulture);

        csvConfiguration.HasHeaderRecord = false;

        using(FileStream fileStream = File.Open("source.csv", FileMode.Append))
        {
            using(StreamWriter streamWriter = new StreamWriter(fileStream))
            {
                using(CsvWriter csvWriter = new CsvWriter(streamWriter, csvConfiguration))
                {
                    csvWriter.WriteRecords(sourceList);
                }
            }
        }
    }

    #endregion
}